Bug 1560724 - [python-caja] build with python3
Summary: [python-caja] build with python3
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-caja
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Wolfgang Ulbrich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1563520 1563521 1563522 1563523
Blocks: PYTHON3 PY3PATCH-AVAILABLE
TreeView+ depends on / blocked
 
Reported: 2018-03-26 20:42 UTC by Carl George
Modified: 2018-08-16 13:06 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-16 13:06:42 UTC


Attachments (Terms of Use)

Description Carl George 2018-03-26 20:42:15 UTC
Description of problem:
Currently this spec file produces a python2-caja package that links against libpython2.7.so.  I believe that the upstream software supports Python3.  As part of the Python 3 porting effort, please change this to a python3-caja package that build against libpython3.6.so.

https://src.fedoraproject.org/rpms/python-caja/pull-request/2

Comment 1 Wolfgang Ulbrich 2018-06-20 07:59:54 UTC
I think i will orphan python-caja before f29 branching.

Comment 2 Jan Kurik 2018-08-14 10:09:11 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.


Note You need to log in before you can comment on or make changes to this bug.